Bug 239703 - java-1.5.0-ibm-plugin has horribly broken dependency listing for x86_64
Summary: java-1.5.0-ibm-plugin has horribly broken dependency listing for x86_64
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.4.2-ibm   
(Show other bugs)
Version: 5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Deepak Bhole
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-10 16:20 UTC by ritz
Modified: 2010-06-21 16:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 16:45:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script output (170.77 KB, text/plain)
2007-05-28 12:54 UTC, ritz
no flags Details

Description ritz 2007-05-10 16:20:31 UTC
Description of problem:
installing "java-1.5.0-ibm-plugin" installs all of the wrong dependency . This
applies to 1.4.2 version also .

How reproducible:
always

Steps to Reproduce:
1. $ yum install java-1.5.0-ibm-plugin
  
Actual results:
yum install ava-1.5.0-ibm.x86_64, and no other dependency .

Expected results:
yum should install java-1.5.0-ibm.i386 libXp.i386 gtk+.i386 packages .

Additional info:

Comment 1 Thomas Fitzsimmons 2007-05-10 16:44:20 UTC
The packages in the Extras channel are not expected to be installable in
multilib configurations.  The java-1.5.0-ibm-plugin package is only available on
i386.  What /etc/yum.repos.d setup are you using to pull the i386 plugin on x86_64?


Comment 2 ritz 2007-05-10 20:52:03 UTC
java-1.5.0-ibm-plugin.i386 is a part of RHEL5.x86_64 supplementary channel .



Comment 3 ritz 2007-05-23 09:40:44 UTC
update for comment #1

sed 's/no other dependency/install dependency from x86_64 build, instead of i386/'

Comment 4 Paul Nasrat 2007-05-23 11:54:57 UTC
Packages should not be included in channels if we're not going to support them
on multilib, this may be a distribution compose issue.

Ritesh can you attach a full output (script is your friend) of yum -d5 install
java-1.5.0-ibm-plugin on a clean x86_64 system.  Also what channels and
entitilements are you subscribed to in RHN?

rpm -qpR java-1.5.0-ibm-plugin-1.5.0.3-1jpp.4.el5.i386.rpm 
warning: java-1.5.0-ibm-plugin-1.5.0.3-1jpp.4.el5.i386.rpm: V3 DSA signature:
NOKEY, key ID 37017186
java-1.5.0-ibm = 1:1.5.0.3-1jpp.4.el5
/usr/bin/find  
sed  
/usr/lib/mozilla/plugins  
compat-libstdc++-33  
rpmlib(VersionedDependencies) <= 3.0.3-1
/bin/sh  
/bin/sh  
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
/bin/sh  
libX11.so.6  
libXext.so.6  
libXp.so.6  
libXtst.so.6  
libawt.so  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.3)  
libdl.so.2  
libdl.so.2(GLIBC_2.0)  
libdl.so.2(GLIBC_2.1)  
libgdk-1.2.so.0  
libgdk-x11-2.0.so.0  
libgmodule-1.2.so.0  
libgmodule-2.0.so.0  
libgtk-1.2.so.0  
libgtk-x11-2.0.so.0  
libjava.so  
libm.so.6  
libpthread.so.0  
libpthread.so.0(GLIBC_2.0)  


Comment 5 ritz 2007-05-28 12:54:32 UTC
Created attachment 155541 [details]
script output

Comment 6 ritz 2007-05-28 12:57:01 UTC
Channels system is subscribed to:

 *  Red Hat Enterprise Linux (v. 5 for 64-bit x86_64)
    * RHEL Virtualization (v. 5 for 64-bit x86_64)
    * RHEL FasTrack (v. 5 for 64-bit x86_64)
    * RHEL Supplementary (v. 5 for 64-bit x86_64)

update: 

this bug in not seen anymore for java-1.5.0-ibm-plugin.i386 on RHEL5.x86_64
bug is seen on java-1.4.2-ibm-plugin.i386 on RHEL5.x86_64

Comment 7 ritz 2007-05-28 12:58:27 UTC
using rhel5 , updated to latest build from rhn as of 28th march, 2007.


Comment 9 Deepak Bhole 2010-06-21 16:45:26 UTC
IBM RPMs should now have proper requirements. Feel free to re-open if you see otherwise.


Note You need to log in before you can comment on or make changes to this bug.